jsPsych
=======

jsPsych is a JavaScript library for creating and running behavioral experiments in a web browser. jsPsych simplifies the process of coding browser-based experiments by providing a set of flexibile plugins that define different kinds of tasks a subject could complete during an experiment. By assembling different plugins together and customizing the parameters of each, it is possible to create many different types of experiments.

If creating your experiment is not possible with the current set of jsPsych plugins, consider [writing a new plugin](https://github.com/jodeleeuw/jsPsych/wiki/Create-a-Plugin). The core jsPsych library provides a useful framework for constructing experiments by managing the presentation of trials and recording data. It may be faster to develop a jsPsych compatible plugin than writing an experiment from scratch. You will also be able to take advantage of all of the other jsPsych plugins for basic tasks like displaying instructions.


Documentation
-------------

We are actively documenting the library in our [GitHub wiki](https://github.com/jodeleeuw/jsPsych/wiki).
The wiki contains a [list of all of the available plugins](https://github.com/jodeleeuw/jsPsych/wiki/List-of-Plugins),
and working demos for each one are on the associated wiki page. If you want to get a sense of what jsPsych can do, 
trying some of the demos is a good place to start.


Contact
-------

jsPsych was created by Josh de Leeuw ([@jodeleeu](https://github.com/jodeleeuw)) at Indiana University.

email: jodeleeu@indiana.edu
